/**
 * @packageDocumentation
 * @module String
 */
import { Observable, Subscribable } from 'rxjs';
/**
 * @private
 * @internal
 * @param input
 */
export declare function createOrReturnObservable<T extends unknown>(input: Subscribable<T> | T): Observable<T>;
/**
 * Flat map `Set` into an Array of `unknown[]`
 * @private
 * @internal
 * @param input
 */
export declare function flatMapSet<T extends unknown>(input: Iterable<Set<T>> | Set<T>): T[][];
/**
 * Flat map `Set` into an Array of `unknown[]`
 * @private
 * @internal
 * @param input
 */
export declare function flatMapMap<K extends unknown, V extends unknown>(input: Iterable<Map<K, V>> | Map<K, V>): [K, V][];
